APIStages

List stages

Returns a paginated list of stages for the authenticated organization. Optionally filter by pipeline.

GET
/v1/records/stages

Returns a paginated list of stages for the authenticated organization. Optionally filter by pipeline.

X-Api-Key<token>

In: header

Query Parameters

limit?integer
offset?integer
pipeline_id?string

Filter stages by pipeline ID

active?boolean

Response Body

application/json

curl -X GET "https://example.com/v1/records/stages"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "pipeline_id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Qualification",
      "is_won": false,
      "is_lost": false,
      "is_closed": false,
      "active": true,
      "display_order": 1,
      "exit_criteria": "Budget confirmed",
      "entry_criteria": "Discovery call completed",
      "crm_id": "123456",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}